Activity log for bug #917600

Date Who What changed Old value New value Message
2012-01-17 11:52:05 daniel bug added bug
2012-01-17 11:53:19 daniel description Hi. Strange error here on Arch64 mixxx1.10 vms4. Sometimes and very hard to reproduce i start mixxx, throw some songs in the AutoDJ queue and then i'm not able to reorder this queue. The Values column # change, but songs stay at their position. CLI output is: Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms for Autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 9 Debug: [Main]: Swapping tracks 13 and 9 Debug: [Main]: Swapping tracks 12 and 8 Debug: [Main]: Swapping tracks 11 and 15 Debug: [Main]: Swapping tracks 10 and 13 Debug: [Main]: Swapping tracks 9 and 10 Debug: [Main]: Swapping tracks 8 and 15 Debug: [Main]: Swapping tracks 7 and 9 Debug: [Main]: PlaylistTableModel(0x260d3d0) select() took 0 ms Debug: [Main]: Shuffling done nothing more. just the # of the dragged&dropped songs changes, for example from 4/14 to 14/4, but the songs stay at their positions Deactivating AutoDJ [Button] does not help. Exiting and restarting Mixxx neither. Clicking on the colum heads does nothing, no sorting up/down in no colum. Then[!] Restarting again, And it works! And debug output is:Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms for reordering and for autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 10 Debug: [Main]: Swapping tracks 13 and 6 Debug: [Main]: Swapping tracks 12 and 10 Debug: [Main]: Swapping tracks 11 and 11 Debug: [Main]: Swapping tracks 10 and 8 Debug: [Main]: Swapping tracks 9 and 9 Debug: [Main]: Swapping tracks 8 and 7 Debug: [Main]: Swapping tracks 7 and 10 Debug: [Main]: Swapping tracks 6 and 6 Debug: [Main]: Swapping tracks 5 and 14 Debug: [Main]: Swapping tracks 4 and 5 Debug: [Main]: Swapping tracks 3 and 6 Debug: [Main]: Swapping tracks 2 and 10 Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: Shuffling done Thank you. Hi. Strange error here on Arch64 mixxx1.10 vms4. Sometimes and very hard to reproduce i start mixxx, throw some songs in the AutoDJ queue and then i'm not able to reorder this queue. The Values column # change, but songs stay at their position. CLI output is: Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms for Autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 9 Debug: [Main]: Swapping tracks 13 and 9 Debug: [Main]: Swapping tracks 12 and 8 Debug: [Main]: Swapping tracks 11 and 15 Debug: [Main]: Swapping tracks 10 and 13 Debug: [Main]: Swapping tracks 9 and 10 Debug: [Main]: Swapping tracks 8 and 15 Debug: [Main]: Swapping tracks 7 and 9 Debug: [Main]: PlaylistTableModel(0x260d3d0) select() took 0 ms Debug: [Main]: Shuffling done nothing more. just the # of the dragged&dropped songs changes, for example from 4/14 to 14/4, but the songs stay at their positions Deactivating AutoDJ [Button] does not help. Exiting and restarting Mixxx neither. Clicking on the colum heads does nothing, no sorting up/down in no colum. Then[!] Restarting again, and it works! And debug output is: Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms for reordering and for autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 10 Debug: [Main]: Swapping tracks 13 and 6 Debug: [Main]: Swapping tracks 12 and 10 Debug: [Main]: Swapping tracks 11 and 11 Debug: [Main]: Swapping tracks 10 and 8 Debug: [Main]: Swapping tracks 9 and 9 Debug: [Main]: Swapping tracks 8 and 7 Debug: [Main]: Swapping tracks 7 and 10 Debug: [Main]: Swapping tracks 6 and 6 Debug: [Main]: Swapping tracks 5 and 14 Debug: [Main]: Swapping tracks 4 and 5 Debug: [Main]: Swapping tracks 3 and 6 Debug: [Main]: Swapping tracks 2 and 10 Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: Shuffling done Thank you.
2012-01-17 11:58:24 daniel description Hi. Strange error here on Arch64 mixxx1.10 vms4. Sometimes and very hard to reproduce i start mixxx, throw some songs in the AutoDJ queue and then i'm not able to reorder this queue. The Values column # change, but songs stay at their position. CLI output is: Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms for Autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 9 Debug: [Main]: Swapping tracks 13 and 9 Debug: [Main]: Swapping tracks 12 and 8 Debug: [Main]: Swapping tracks 11 and 15 Debug: [Main]: Swapping tracks 10 and 13 Debug: [Main]: Swapping tracks 9 and 10 Debug: [Main]: Swapping tracks 8 and 15 Debug: [Main]: Swapping tracks 7 and 9 Debug: [Main]: PlaylistTableModel(0x260d3d0) select() took 0 ms Debug: [Main]: Shuffling done nothing more. just the # of the dragged&dropped songs changes, for example from 4/14 to 14/4, but the songs stay at their positions Deactivating AutoDJ [Button] does not help. Exiting and restarting Mixxx neither. Clicking on the colum heads does nothing, no sorting up/down in no colum. Then[!] Restarting again, and it works! And debug output is: Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms for reordering and for autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 10 Debug: [Main]: Swapping tracks 13 and 6 Debug: [Main]: Swapping tracks 12 and 10 Debug: [Main]: Swapping tracks 11 and 11 Debug: [Main]: Swapping tracks 10 and 8 Debug: [Main]: Swapping tracks 9 and 9 Debug: [Main]: Swapping tracks 8 and 7 Debug: [Main]: Swapping tracks 7 and 10 Debug: [Main]: Swapping tracks 6 and 6 Debug: [Main]: Swapping tracks 5 and 14 Debug: [Main]: Swapping tracks 4 and 5 Debug: [Main]: Swapping tracks 3 and 6 Debug: [Main]: Swapping tracks 2 and 10 Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: Shuffling done Thank you. Hi. Strange error here on Arch64 mixxx1.10 vms4. Sometimes and very hard to reproduce i start mixxx, throw some songs in the AutoDJ queue and then i'm not able to reorder this queue. The Values column # change, but songs stay at their position. CLI output is: Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x230b520) select() took 1 ms for Autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 9 Debug: [Main]: Swapping tracks 13 and 9 Debug: [Main]: Swapping tracks 12 and 8 Debug: [Main]: Swapping tracks 11 and 15 Debug: [Main]: Swapping tracks 10 and 13 Debug: [Main]: Swapping tracks 9 and 10 Debug: [Main]: Swapping tracks 8 and 15 Debug: [Main]: Swapping tracks 7 and 9 Debug: [Main]: PlaylistTableModel(0x260d3d0) select() took 0 ms Debug: [Main]: Shuffling done nothing more. just the # of the dragged&dropped songs changes, for example from 4/14 to 14/4, but the songs stay at their positions Deactivating AutoDJ [Button] does not help. Exiting and restarting Mixxx neither. Clicking on the colum heads does nothing, no sorting up/down in no colum. ---------------------- Then[!] Restarting again, and it works! And debug output is: Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms for reordering and for autoshuffle: Debug: [Main]: Shuffling AutoDJ playlist Debug: [Main]: Swapping tracks 14 and 10 Debug: [Main]: Swapping tracks 13 and 6 Debug: [Main]: Swapping tracks 12 and 10 Debug: [Main]: Swapping tracks 11 and 11 Debug: [Main]: Swapping tracks 10 and 8 Debug: [Main]: Swapping tracks 9 and 9 Debug: [Main]: Swapping tracks 8 and 7 Debug: [Main]: Swapping tracks 7 and 10 Debug: [Main]: Swapping tracks 6 and 6 Debug: [Main]: Swapping tracks 5 and 14 Debug: [Main]: Swapping tracks 4 and 5 Debug: [Main]: Swapping tracks 3 and 6 Debug: [Main]: Swapping tracks 2 and 10 Debug: [Main]: PlaylistTableModel(0x3555550) select() took 1 ms Debug: [Main]: Shuffling done Everything fine. But. --------------------------- Then[!] Restarting, and it doesn't work! You see why i called it strange? Output is now: Debug: [Main]: PlaylistTableModel(0x292e5c0) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x292e5c0) select() took 1 ms Debug: [Main]: PlaylistTableModel(0x292e5c0) select() took 1 ms HTH Thank you.
2012-01-20 08:53:45 Daniel Schürmann bug added subscriber Daniel Schürmann
2012-01-31 19:44:22 daniel tags auto-dj
2012-02-05 14:31:45 jus mixxx: milestone 1.10.1
2012-02-05 14:31:49 jus mixxx: status New Confirmed
2012-02-05 14:31:52 jus mixxx: importance Undecided Medium
2012-02-13 04:14:52 Joe Salvino bug added subscriber Joe Salvino
2012-05-23 06:17:00 Daniel Schürmann mixxx: assignee Daniel Schürmann (daschuer)
2012-05-24 20:57:29 Daniel Schürmann mixxx: status Confirmed In Progress
2012-05-24 20:57:45 Daniel Schürmann nominated for series mixxx/1.10
2012-05-24 20:57:45 Daniel Schürmann bug task added mixxx/1.10
2012-05-24 20:57:59 Daniel Schürmann mixxx/1.10: status New In Progress
2012-05-24 20:58:07 Daniel Schürmann mixxx/1.10: assignee Daniel Schürmann (daschuer)
2012-05-24 20:58:12 Daniel Schürmann mixxx/1.10: importance Undecided Medium
2012-05-24 20:58:17 Daniel Schürmann mixxx/1.10: milestone 1.10.1
2012-05-24 20:58:21 Daniel Schürmann mixxx: milestone 1.10.1 1.11.0
2012-05-24 20:59:54 Daniel Schürmann attachment added shuffle.patch https://bugs.launchpad.net/mixxx/+bug/917600/+attachment/3161730/+files/shuffle.patch
2012-05-24 21:00:40 Daniel Schürmann branch linked lp:~daschuer/mixxx/daschuers_trunk
2012-06-05 21:03:42 Daniel Schürmann mixxx: status In Progress Fix Committed
2012-06-24 10:02:24 Daniel Schürmann mixxx/1.10: status In Progress Fix Committed
2012-06-30 01:06:28 RJ Skerry-Ryan mixxx/1.10: status Fix Committed Fix Released
2013-05-09 20:44:20 RJ Skerry-Ryan mixxx: status Fix Committed Fix Released